org.apache.sling.provisioning.model

## Class Commentable

- java.lang.Object
- - org.apache.sling.provisioning.model.Traceable
  - - org.apache.sling.provisioning.model.Commentable

Direct Known Subclasses:
  Artifact, Configuration, Feature, ItemList, KeyValueMap, Section

    public abstract class Commentable
    extends Traceable

A commentable has a comment and a location. Both are optional.

### Constructor Summary

Constructors
Constructor and Description
`Commentable()`

### Method Summary

All Methods Instance Methods Concrete Methods
`String` `getComment()` Get the comment.
`void` `setComment(String value)` Set the comment.
`String` `toString()`

### Methods inherited from class org.apache.sling.provisioning.model.Traceable

`getLocation, setLocation`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### Commentable

    public Commentable()

### Method Detail

#### getComment

    public String getComment()

Get the comment.

Returns:
  The comment or `null`.

#### setComment

    public void setComment(String value)

Set the comment.

Parameters:
  `value` - The new comment.

#### toString

    public String toString()

Overrides:
  `toString` in class `Traceable`